Bug 574220 - Anconda does not properly align the first partition it creates
Anconda does not properly align the first partition it creates
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: 573628 (view as bug list)
Depends On:
Blocks: F13Blocker/F13FinalBlocker 573628 586144
  Show dependency treegraph
Reported: 2010-03-16 17:31 EDT by Hans de Goede
Modified: 2010-04-26 18:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.37-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586144 (view as bug list)
Last Closed: 2010-03-27 00:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2010-03-16 17:31:18 EDT
The first partition (within a block of freespace) that anaconda creates does not get properly aligned. For example on an empty disk anaconda starts the first partition at sector 63 rather then at sector 2048.

As this is a regression compared to anaconda from the alpha snapshots (the alpha itself actually has the bug), and is this seriously impacts performance on new 4k sector disks (which are in the stores now). I'm proposing this as an F13Blocker.
Comment 1 Steve Perkins 2010-03-17 11:49:19 EDT
I concur with Martin's results - the IMG patch works fine on the Advanced Foramt drives to align to 4K (or multiples of 4K) boundaries. The first partition start point of 63 on the drive with offset +1 jumper installed is unexpected. Nothing wrong with it as it is aligned to 4K, but odd.

To reiterate the earlier findings, without the patch, the default installation on FC13 alpha fails with an exception - install will not complete. This should be addressed by the 1.41.11 e2fstools which allow the bypassing of the misalignment question but for now, the default installation fails.

Comment 2 Hans de Goede 2010-03-23 13:31:30 EDT
*** Bug 573628 has been marked as a duplicate of this bug. ***
Comment 3 Hans de Goede 2010-03-23 13:35:36 EDT
The patch for this has been added to the f13-branch of anaconda, the next
anaconda version: anaconda-13.37-1, will contain the fix for this. Moving to
Comment 4 Fedora Update System 2010-03-26 23:27:06 EDT
anaconda-13.37-1.fc13 has been submitted as an update for Fedora 13.
Comment 5 Fedora Update System 2010-03-27 00:53:46 EDT
anaconda-13.37-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.